Webhook Secrets
Update Webhook Secret
deprecated
Update the friendly name for a webhook signing secret.
PATCH
/
external-webhooks
/
secret
/
{id}
Update the name of a webhook secret
curl --request PATCH \
--url https://api.dialnexa.com/external-webhooks/secret/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"name": "Production Secret V2"
}
'import requests
url = "https://api.dialnexa.com/external-webhooks/secret/{id}"
payload = { "name": "Production Secret V2" }
headers = {
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Production Secret V2'})
};
fetch('https://api.dialnexa.com/external-webhooks/secret/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Legacy endpoint - deprecated. Unversioned endpoints are scheduled for removal on July 31, 2026. A public v1 replacement is not currently listed in the v1 reference. This endpoint remains available for existing integrations until then.
Path parameters
| Parameter | Description |
|---|---|
id | Webhook secret ID. |
Related endpoints
- Get Webhook Secret: fetch the active secret.
- Rotate Webhook Secret: create a new secret.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
RSA encrypted organization ID (base64 format)
Example:
"BASE64_ENCRYPTED_ORG_ID_HERE"
Path Parameters
ID of the webhook secret
Body
application/json
New name for the webhook secret
Maximum string length:
50Example:
"Production Secret V2"
Response
The secret name has been successfully updated.
Was this page helpful?
⌘I
Update the name of a webhook secret
